Package be.fgov.ehealth.ehbox.consultation.protocol.v3

# Class ConsultationDocumentType

java.lang.Object
be.fgov.ehealth.ehbox.consultation.protocol.v3.ConsultationDocumentType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class ConsultationDocumentType extends Object implements Serializable
Specifies content of a Document message

Java class for ConsultationDocumentType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultationDocumentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Title">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <minLength value="1"/>
                   <maxLength value="400"/>
                 </restriction>
               </simpleType>
             </element>
             <choice>
               <element name="EncryptableBinaryContent" type="{http://ws-i.org/profiles/basic/1.1/xsd}swaRef"/>
               <element name="EncryptableTextContent" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             </choice>
             <element name="DownloadFileName">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <minLength value="1"/>
                   <maxLength value="255"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="MimeType">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <minLength value="1"/>
                   <maxLength value="255"/>
                 </restriction>
               </simpleType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultationDocumentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDownloadFileName()`
  This is not encrypted
  `jakarta.activation.DataHandler`
  `getEncryptableBinaryContent()`
  If IsEncrypted == True, this MUST contain encrypted content.
  `byte[]`
  `getEncryptableTextContent()`
  If IsEncrypted == True, this MUST contain encrypted content.
  `String`
  `getMimeType()`
  Gets the value of the mimeType property.
  `String`
  `getTitle()`
  This is not encrypted
  `void`
  `setDownloadFileName(String value)`
  Sets the value of the downloadFileName property.
  `void`
  `setEncryptableBinaryContent(jakarta.activation.DataHandler value)`
  Sets the value of the encryptableBinaryContent property.
  `void`
  `setEncryptableTextContent(byte[] value)`
  Sets the value of the encryptableTextContent property.
  `void`
  `setMimeType(String value)`
  Sets the value of the mimeType property.
  `void`
  `setTitle(String value)`
  Sets the value of the title property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultationDocumentType

    public ConsultationDocumentType()

- ## Method Details

  - ### getTitle

    public String getTitle()
    This is not encrypted
    Returns:
      possible object is `String`

  - ### setTitle

    public void setTitle(String value)
    Sets the value of the title property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getTitle()`

  - ### getEncryptableTextContent

    public byte[] getEncryptableTextContent()
    If IsEncrypted == True, this MUST contain encrypted content. Anyway it must be converted to base64Binary
    Returns:
      possible object is byte[]

  - ### setEncryptableTextContent

    public void setEncryptableTextContent(byte[] value)
    Sets the value of the encryptableTextContent property.
    Parameters:
      `value` - allowed object is byte[]
    See Also:
      - `getEncryptableTextContent()`

  - ### getEncryptableBinaryContent

    public jakarta.activation.DataHandler getEncryptableBinaryContent()
    If IsEncrypted == True, this MUST contain encrypted content. Anyway it must be converted to base64Binary
    Returns:
      possible object is `String`

  - ### setEncryptableBinaryContent

    public void setEncryptableBinaryContent(jakarta.activation.DataHandler value)
    Sets the value of the encryptableBinaryContent property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getEncryptableBinaryContent()`

  - ### getDownloadFileName

    public String getDownloadFileName()
    This is not encrypted
    Returns:
      possible object is `String`

  - ### setDownloadFileName

    public void setDownloadFileName(String value)
    Sets the value of the downloadFileName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDownloadFileName()`

  - ### getMimeType

    public String getMimeType()
    Gets the value of the mimeType property.
    Returns:
      possible object is `String`

  - ### setMimeType

    public void setMimeType(String value)
    Sets the value of the mimeType property.
    Parameters:
      `value` - allowed object is `String`